dht::ImMessage Class Reference
Inheritance diagram for dht::ImMessage:
[legend]
Collaboration diagram for dht::ImMessage:
[legend]

## Public Member Functions

| ImMessage (dht::Value::Id id, std::string &&m, long d=0)
| ImMessage (dht::Value::Id id, std::string &&dt, std::string &&m, long d=0)
virtual void | unpackValue (const Value &v) override
virtual void | unpackValue (const Value &v) override
Public Member Functions inherited from dht::Value::Serializable< ImMessage >
virtual const ValueType & | getType () const
virtual void | unpackValue (const Value &v)
virtual Value | packValue () const
virtual const ValueType & | getType () const =0
virtual void | unpackValue (const Value &v)=0
virtual Value | packValue () const =0

## Public Attributes

dht::InfoHash | to
dht::Value::Id | id {0}
std::string | msg
std::string | datatype
long | date {0}
ImStatus | status {ImStatus::NONE}
Public Attributes inherited from dht::SignedValue< ImMessage >
dht::InfoHash | from

## Static Public Attributes

static const ValueType | TYPE

## Additional Inherited Members

Static Public Member Functions inherited from dht::SignedValue< ImMessage >
static Value::Filter | getFilter ()

## Detailed Description

Definition at line 106 of file default_types.h.

## Constructor & Destructor Documentation

## ImMessage() [1/3]

dht::ImMessage::ImMessage | ( |  | ) |

inline

Definition at line 114 of file default_types.h.

## ImMessage() [2/3]

dht::ImMessage::ImMessage | ( | dht::Value::Id | id,
|  | std::string && | m,
|  | long | d = `0`
| ) |  |

inline

Definition at line 115 of file default_types.h.

## ImMessage() [3/3]

dht::ImMessage::ImMessage | ( | dht::Value::Id | id,
|  | std::string && | dt,
|  | std::string && | m,
|  | long | d = `0`
| ) |  |

inline

Definition at line 117 of file default_types.h.

## Member Function Documentation

## unpackValue()

virtual void dht::ImMessage::unpackValue | ( | const Value & | v | ) |

inline override virtual

Reimplemented from dht::SignedValue< ImMessage >.

Definition at line 120 of file default_types.h.

## Member Data Documentation

## datatype

std::string dht::ImMessage::datatype

Definition at line 128 of file default_types.h.

## date

long dht::ImMessage::date {0}

Definition at line 129 of file default_types.h.

## id

dht::Value::Id dht::ImMessage::id {0}

Definition at line 126 of file default_types.h.

## msg

std::string dht::ImMessage::msg

Definition at line 127 of file default_types.h.

## status

ImStatus dht::ImMessage::status {ImStatus::NONE}

Definition at line 130 of file default_types.h.

## to

dht::InfoHash dht::ImMessage::to

Definition at line 125 of file default_types.h.

## TYPE

const ValueType dht::ImMessage::TYPE

static

Definition at line 112 of file default_types.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/default_types.h